#!/bin/csh -f
#
##############################################################################
#
# Name: kill_oservers.csh
#
# Purpose:
#
#    This is a simple wrapper to pscluster and alter_server_files.  Use this
#    to bring down the OPUS servers completely and cleanly, but only do so
#    after ALL pipeline processes have terminated.
#
#    The .pl scripts are not called directly because the location of perl
#    can vary so much on different operating systems.
#
#    For use in a cluster environment, see pscluster.pl to use it directly.
#
# Modification History:
#
# Date     OPR      Who         Reason
# -------- -------- ----------  ---------------------------------------------
# 12/18/03 49783    Sontag      Initial version
# 08/12/05 53337    Sontag      No need to source ~/.cshrc, so use "-f"
##############################################################################
#
perl `which pscluster.pl` -kill -type s -linesize 80 # kills the OPUS servers
perl `which alter_server_files.pl` -force            # ensure server files OK
